import React from 'react';
import { BrowserRouter as Router, Route, Switch } from "react-router-dom";

import Navigation from './Navigation';
import Footer from './Footer';
import Home from './Home';
import About from './About';

// Maps
import Pigeon from './Pigeon';
import Mapbox from './Mapbox';
import Leaflet from './Leaflet';
import Google from './Google';

export class App extends React.Component{
    render(){
        return (
          <div>
              <Router>
                <Navigation />
                <Switch>
                  <Route path="/" exact component={Home} />
                  <Route path="/about" exact component={About} />
                  <Route path="/pigeon-map" exact component={Pigeon} />
                  <Route path="/mapbox-gl" exact component={Mapbox} />
                  <Route path="/leaflet" exact component={Leaflet} />
                  <Route path="/google-map" exact component={Google} />
                </Switch>
                <Footer />
              </Router>
          </div>
        )
    }

}