import React from "react";
import {
  Map,
  TileLayer,
  Marker,
  Popup,
  ZoomControl,
} from "react-leaflet";
import "./css/maps.css";

const LONGITUDE = 14.320570
const LATITUDE = 48.336950

export default class Leaflet extends React.Component{
  state = {
    latitude: LATITUDE,
    longitude: LONGITUDE,
    zoom: 15,
    }
  
  render() {
    const position = [this.state.latitude, this.state.longitude]
    return (
        <Map
          center={position}
          zoom={this.state.zoom}
          zoomControl={false}
          style={{width: 600, height: 400}}
        >
            <TileLayer
              attribution='&amp;copy <a href="http://osm.org/copyright">OpenStreetMap</a> contributors'
              url="https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png"
            />
  
            <Marker position={position}>
              <Popup>
                JKU: Ente
              </Popup>
            </Marker>
            <ZoomControl position="bottomright" />

        </Map>
    );
  }
}